//siraj@kde.org GPL2
//
#include <pluginloader.h>
#include <menuview.h>
#include <config-raptormenu.h>

#include <qtdisplay.h>
//KDE
//
#include <QtGui/QDesktopWidget>
#include <KApplication>
#include <KCmdLineArgs>
#include <KAboutData>


int main( int argc, char ** argv )
{

#ifndef HAVE_WIN32
    QtDisplay * dpy = new QtDisplay();
#endif
    KAboutData aboutData("raptor", 0, ki18n("Raptor"), "0.1",
                         ki18n("Raptor-Menu"),
                         KAboutData::License_GPL,
                         ki18n("(C) 2008 The Raptor Developers"),
                         ki18n("<a href=\"mailto:raptor-menu@kde.org\">raptor-menu@kde.org</a>"));
    aboutData.addAuthor(ki18n("Siraj Razick"), ki18n("Maintainer"), "siraj@kde.org");
    aboutData.addAuthor(ki18n("Nuno Pinheiro"), ki18n("Interaction Engineering"), "pinheiro@kde.org");
    aboutData.addAuthor(ki18n("Sacha Minet Refshauge"), ki18n("Developer"), "xsacha@gmail.com");
    aboutData.addAuthor(ki18n("Lukas Appelhans"), ki18n("Developer"), "l.appelhans@gmx.de");
    aboutData.addAuthor(ki18n("Dariusz Mikulski"), ki18n("Developer"), "malcolm@raptor-menu.org");

    KCmdLineArgs::init(argc, argv, &aboutData);
#ifndef HAVE_WIN32
    KApplication app(dpy->display(), dpy->visual(), dpy->colormap());
#elif
    KApplication app(argc, argv);
#endif
    RaptorMenu::PluginLoader * loader = RaptorMenu::PluginLoader().instance();
    RaptorMenu::MenuView * menu = new RaptorMenu::MenuView(new QGraphicsScene(), 0);
    menu->setWindowFlags(Qt::FramelessWindowHint | Qt::Tool);
    menu->resize(400,200);
    menu->show();
    QPoint rl =  QApplication::desktop()->availableGeometry().center();
    menu->move(rl.x()-menu->width()/2,QApplication::desktop()->availableGeometry().height()-menu->height());
    qDebug() << "OK, this is all you get for now, we're redoing some stuff so don't complain ;-)";
    return app.exec();


}
