/*******************************************************************************
* This file is part of RaptorMenu.
*  Maintained by : Siraj Razick <siraj@kde.org>
*  Authored By  :
*
*  RaptorMenu is free software: you can redistribute it and/or modify
*  it under the terms of the GNU Lesser General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  RaptorMenu is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU Lesser General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with RaptorMenu. If not, see <http://www.gnu.org/licenses/lgpl.html>
*******************************************************************************/
#ifndef PLUGIN_LOADER_H
#define PLUGIN_LOADER_H

#include <config-raptormenu.h>
#include <raptormenu_export.h>
#include <plugin.h>

namespace RaptorMenu
{
class RAPTORMENU_EXPORT PluginLoader : public QObject
{
    Q_OBJECT
    public:
        enum PluginType {
            Menu = 0,
            Data = 1,
            BackDrop = 2
        };
        typedef QMap<QString, Plugin*> PluginMap;
        typedef QMap<QString, PluginMap*> TypeMap;
        PluginLoader();

        virtual ~PluginLoader();

        static PluginLoader* instance();

        Plugin* loadDefault(PluginType);
        Plugin* pluginInstance(const QString& name);

    protected:
	void load(const QString&);

    private:
	class Private;
	Private *const d;
#ifdef Q_WS_WIN
	static PluginLoader * m_Instance;
#else
	static RAPTORMENU_EXPORT PluginLoader * m_Instance;
#endif
};
}

#endif //PLUGIN_LOADER_H
