/*
*   Copyright (C) 2006
*   Siraj Razick <siraj@kdemail.net>
*   PhobosK <phobosk@mail.kbfx.org>
*   Lahiru Lakmal <llahiru@gmail.com>
*   Lukas Appelhans <l.appelhans@gmx.de>
*   see Also AUTHORS
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU Library General Public License version 2 as
*   published by the Free Software Foundation
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details
*
*   You should have received a copy of the GNU Library General Public
*   License along with this program; if not, write to the
*   Free Software Foundation, Inc.,
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include "abstractitem.h"

namespace Tom {
AbstractItem::AbstractItem(QObject *parent)
  : QObject(parent)
{
}

AbstractItem::~AbstractItem() 
{
}

void AbstractItem::save(const QDomElement &e)
{
    QDomElement element = e;
    element.setAttribute("Name", m_name);
    element.setAttribute("Description", m_desc);
    element.setAttribute("Icon", m_icon);
}

void AbstractItem::load(const QDomElement &e)
{
    m_name = e.attribute("Name");
    m_desc = e.attribute("Description");
    m_icon = e.attribute("Icon");
}

}
