/*
*   Copyright (C) 2006
*   Siraj Razick <siraj@kdemail.net>
*   PhobosK <phobosk@mail.kbfx.org>
*   Lahiru Lakmal <llahiru@gmail.com>
*   Lukas Appelhans <l.appelhans@gmx.de>
*   see Also AUTHORS
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU Library General Public License version 2 as
*   published by the Free Software Foundation
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details
*
*   You should have received a copy of the GNU Library General Public
*   License along with this program; if not, write to the
*   Free Software Foundation, Inc.,
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef TOMABSTRACTITEM_H
#define TOMABSTRACTITEM_H

#include <raptor_exports.h>
#include <QString>
#include <QDomElement>
#include <QObject>

namespace Tom
{
class RAPTOR_EXPORT AbstractItem : public QObject
{
    Q_OBJECT
    public:
        long ID; // unique for every object
        AbstractItem(QObject *parent);
        virtual ~AbstractItem();

        QString name() const {return m_name;}
        void setName(const QString &name) {m_name = name;}

        QString description() const {return m_desc;}
        void setDescription(const QString &desc) {m_desc = desc;}

        QString longDescription() const {return m_longDesc;}
        void setLongDescription(const QString &desc) {m_longDesc = desc;}

        QString iconName() const {return m_icon;}
        void setIconName(const QString &icon) {m_icon = icon;}

        virtual bool isGroup() const {return false;}

        virtual void save(const QDomElement &e);

        virtual void load(const QDomElement &e);

    private:
        QString m_name;
        QString m_desc;
        QString m_longDesc;
        QString m_icon;
};
}

#endif //TOMABSTRACTITEM_H
