/*
*   Copyright (C) 2006
*   Siraj Razick <siraj@kdemail.net>
*   PhobosK <phobosk@mail.kbfx.org>
*   Lahiru Lakmal <llahiru@gmail.com>
*   Lukas Appelhans <l.appelhans@gmx.de>
*   see Also AUTHORS
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU Library General Public License version 2 as
*   published by the Free Software Foundation
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details
*
*   You should have received a copy of the GNU Library General Public
*   License along with this program; if not, write to the
*   Free Software Foundation, Inc.,
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef TOMTASKGROUP_H
#define TOMTASKGROUP_H

#include <raptor_exports.h>
#include <QList>
#include "taskitem.h"

namespace Tom
{
class RAPTOR_EXPORT TaskGroup : public AbstractItem
{
    Q_OBJECT
    public:
        TaskGroup(QObject *parent);
        ~TaskGroup();
        //TODO: Probably only handle AbstractItems?
        void addItem(TaskItem *item);
        void addGroup(TaskGroup *group);
        void clearItems() {m_taskItems.clear();}
        void clearGroups() {m_taskGroups.clear();}
        void removeItem(TaskItem *item) {m_taskItems.removeAll(item);}
        void removeGroup(TaskGroup* group) {m_taskGroups.removeAll(group);}
        QList<TaskGroup*> subGroups() {return m_taskGroups;}
        QList<TaskItem*> subItems() {return m_taskItems;}
        QList<AbstractItem*> children();

        virtual bool isGroup() const{return true;}

        virtual void save(const QDomElement &e);
        virtual void load(const QDomElement &e);

    private:
        QList<TaskGroup*> m_taskGroups;
        QList<TaskItem*> m_taskItems;
};
}//namespace

#endif //TOM_TASK_GROUP
