/*
*   Copyright (C) 2006
*   Siraj Razick <siraj@kdemail.net>
*   PhobosK <phobosk@mail.kbfx.org>
*   Lahiru Lakmal <llahiru@gmail.com>
*   Lukas Appelhans <l.appelhans@gmx.de>
*   see Also AUTHORS
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU Library General Public License version 2 as
*   published by the Free Software Foundation
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details
*
*   You should have received a copy of the GNU Library General Public
*   License along with this program; if not, write to the
*   Free Software Foundation, Inc.,
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include "taskitem.h"


namespace Tom
{
TaskItem::TaskItem(QObject *parent)
  : AbstractItem(parent)
{
}

TaskItem::~TaskItem()
{
}

QString TaskItem::program() const
{
    return m_program;
}

void TaskItem::setProgram(const QString &program)
{
    m_program = program;
}

QString TaskItem::desktopFilePath() const
{
    return m_desktopFile;
}

void TaskItem::setDesktopFilePath(const QString &desktopFile)
{
    m_desktopFile = desktopFile;
}

int TaskItem::hits() const
{
    return m_hits;
}

void TaskItem::setHits(int hits)
{
    m_hits = hits;
}

QString TaskItem::lastHit() const
{
    return m_lastHit;
}

void TaskItem::setLastHit(const QString &lastHit)
{
    m_lastHit = lastHit;
}

void TaskItem::save(const QDomElement &e)
{
    QDomElement element = e;
    element.setAttribute("Program", m_program);
    element.setAttribute("DesktopFile", m_desktopFile);
    element.setAttribute("Hits", QString::number(m_hits));
    element.setAttribute("LastHit", m_lastHit);
    AbstractItem::save(e);
}

void TaskItem::load(const QDomElement &e)
{
    m_program = e.attribute("Program");
    m_desktopFile = e.attribute("DesktopFile");
    m_hits = e.attribute("Hits").toInt();
    m_lastHit = e.attribute("LastHit");
}
}
