/*
*   Copyright (C) 2006
*   Siraj Razick <siraj@kdemail.net>
*   PhobosK <phobosk@mail.kbfx.org>
*   Lahiru Lakmal <llahiru@gmail.com>
*   Lukas Appelhans <l.appelhans@gmx.de>
*   see Also AUTHORS
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU Library General Public License version 2 as
*   published by the Free Software Foundation
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details
*
*   You should have received a copy of the GNU Library General Public
*   License along with this program; if not, write to the
*   Free Software Foundation, Inc.,
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef TOMTASKITEM_H
#define TOMTASKITEM_H

#include <raptor_exports.h>
#include "abstractitem.h"

namespace Tom
{
class RAPTOR_EXPORT TaskItem : public AbstractItem
{
    Q_OBJECT
    public:
        TaskItem(QObject *parent);
        ~TaskItem();

        QString program() const;
        void setProgram(const QString &program);

        QString desktopFilePath() const;
        void setDesktopFilePath(const QString &desktopFile);

        int hits() const;
        void setHits(int hits);

        QString lastHit() const;
        void setLastHit(const QString &lastHit);

        virtual void save(const QDomElement &e);
        virtual void load(const QDomElement &e);

    private:
        QString m_program;
        QString m_desktopFile;
        int m_hits;
        QString m_lastHit;
};
}

#endif //TOM_ITEM
