/*
*   Copyright (C) 2006
*   Siraj Razick <siraj@kdemail.net>
*   PhobosK <phobosk@mail.kbfx.org>
*   Lahiru Lakmal <llahiru@gmail.com>
*   Lukas Appelhans <l.appelhans@gmx.de>
*   see Also AUTHORS
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU Library General Public License version 2 as
*   published by the Free Software Foundation
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details
*
*   You should have received a copy of the GNU Library General Public
*   License along with this program; if not, write to the
*   Free Software Foundation, Inc.,
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include "tom.h"

#include <QDomDocument>
#include <QDebug>

namespace Tom
{
Tom::Tom(QObject *parent)
  : QObject(parent)
{
}

Tom::~Tom()
{

}

void Tom::save(QDomDocument *doc)
{
    QDomElement root = doc->createElement("TaskGroups");
    doc->appendChild(root);
    foreach (TaskGroup *group, m_taskGroups)
    {
         QDomElement e = doc->createElement("TaskGroup");
         root.appendChild(e);
         group->save(e);
    }
}

void Tom::load(QDomDocument *doc)
{
    qDebug() << "Load TOM";
    QDomElement root = doc->documentElement();

    QDomNodeList nodeList = root.elementsByTagName("TaskGroup");
    int nItems = nodeList.length();

    for( int i = 0 ; i < nItems ; i++ )
    {
        TaskGroup *group = new TaskGroup(this);
        group->load(nodeList.at(i).toElement());
        qDebug() << "Load " + group->name();
        m_taskGroups.append(group);
    }
}
}
