/*
 *   Copyright (C) 2006, 2008
 *   Siraj Razick <siraj@kdemail.net>
 *   PhobosK <phobosk@mail.kbfx.org>
 *   Lahiru Lakmal <llahiru@gmail.com>
 *   Lukas Appelhans <l.appelhans@gmx.de>
 *   see Also AUTHORS
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License version 2 as
 *   published by the Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef TOM_H
#define TOM_H

#include <raptor_exports.h>
#include "taskgroup.h"

class QDomDocument;

namespace Tom
{
class RAPTOR_EXPORT Tom : public QObject
{
    Q_OBJECT
    public:
        Tom(QObject *parent = 0);
        ~Tom();

        void addTaskGroup(TaskGroup *group) {m_taskGroups.append(group);}
        void clear() {m_taskGroups.clear();}
        void removeTaskGroup(TaskGroup *group) {m_taskGroups.removeAll(group);}
        QList<TaskGroup*> taskGroups() {return m_taskGroups;}

        void save(QDomDocument *doc);
        void load(QDomDocument *doc);

    private:
        QList<TaskGroup*> m_taskGroups;
};
}//namespace

#endif //TOM_H
