/*******************************************************************************
* This file is part of PlexyDesk.
*  Maintained by : Siraj Razick <siraj@kde.org>
*  Authored By  :
*
*  PlexyDesk is free software: you can redistribute it and/or modify
*  it under the terms of the GNU Lesser General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  PlexyDesk is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU Lesser General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with PlexyDesk. If not, see <http://www.gnu.org/licenses/lgpl.html>
*******************************************************************************/
#include "classicplugin.h"
#include <config-raptormenu.h>
#include <util/bghelper.h>
#include <QDebug>
#include <QPainter>

ClassicPlugin::ClassicPlugin(QObject * object, const QList<QVariant>& args) 
                             : BackDropPlugin( object)
{
}

ClassicPlugin::~ClassicPlugin()
{

}

void ClassicPlugin::render(QPainter *p, QRectF r)
{
    p->drawRect(r.x(), r.width(), r.y() + r.height() / 3, r.height() / 3);
    BgHelper helper;
    helper.renderPanel(p, r, QString("nonaccell.svg"));
    QColor cGray = QColor(20,20,20);                            // Define as a setting or use theme colour?
    qreal grayHeight = r.height() * 0.2;                        // Might need to be fixed as UI items depend on this.
    qreal borderWidth = -r.x();                                 // Depends on SVG, always this value
    p->fillRect(QRectF(borderWidth, r.y() + grayHeight, r.right() - 3*borderWidth, r.height() - 2*grayHeight), QBrush(cGray));
    qDebug() << "Rendering Classic Background.";
}

#include "classicplugin.moc"

