/*******************************************************************************
* This file is part of RaptorMenu.
*  Maintained by : Siraj Razick <siraj@kde.org>
*  Authored By  :
*
*  RaptorMenu is free software: you can redistribute it and/or modify
*  it under the terms of the GNU Lesser General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  RaptorMenu is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU Lesser General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with RaptorMenu. If not, see <http://www.gnu.org/licenses/lgpl.html>
*******************************************************************************/
#ifndef RAPTOR_CLASSIC_BACKDROP_H
#define RAPTOR_CLASSIC_BACKDROP_H

#include <raptor_exports.h>
#include <config-raptormenu.h>
#include <backdropplugin.h>
#include <QBrush>

class ClassicPlugin : public RaptorMenu::BackDropPlugin
{
    Q_OBJECT

    public:
        ClassicPlugin(QObject * object = 0,const QVariantList& args = QList<QVariant>() );
        virtual ~ClassicPlugin();
        virtual void render(QPainter *p, QRectF r);

    private:
        QPixmap bg;
        QImage img;
        QBrush paint;
        int width;
        int height;
};

K_EXPORT_RAPTOR_PLUGIN(classic,ClassicPlugin)
#endif
