/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/ 
#include <KApplication>
#include <KCmdLineArgs>
#include <KAboutData>

#include "tomedit.h"

int main(int argc, char *argv[])
{
    KAboutData aboutData("tom-editor", 0, ki18n("Tom-Editor"), "2.0.80",
                         ki18n("A Tom-Editor for Raptor-Menu"),
                         KAboutData::License_GPL,
                         ki18n("(C) 2008 The Tom-Editor Developers"),
                         ki18n("<a href=\"mailto:raptor-menu@kde.org\">raptor-menu@kde.org</a>"));
    aboutData.addAuthor(ki18n("Lukas Appelhans"), ki18n("Developer"), "l.appelhans@gmx.de");
    aboutData.addAuthor(ki18n("Dariusz Mikulski"), ki18n("Developer"), "malcolm@raptor-menu.org");

    KCmdLineArgs::init(argc, argv, &aboutData);

    KApplication kApp;

    TomEdit *tomEdit = new TomEdit();
    tomEdit->show();

    return kApp.exec();
}
