/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/ 
#ifndef TOMEDIT_H
#define TOMEDIT_H

#include <QMainWindow>

#include "ui_tomEdit.h"

class TomEditModel;
class QDomDocument;
class QCloseEvent;

namespace Tom
{
    class Tom;
}

class TomEdit : public QMainWindow, public Ui::TomEdit
{
    Q_OBJECT
    public:
        TomEdit(QWidget *parent = 0);
        ~TomEdit();

    public slots:
        void addMenu();
        void deleteMenu();
        void addApplication();
        void deleteApplication();
        virtual void closeEvent(QCloseEvent *event);

    private slots:
        void itemChanged(const QModelIndex &i);
        void save();

    private:
        TomEditModel *m_model;
        Tom::Tom *m_tom;
        QDomDocument *m_doc;
};

#endif
