/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/ 

#ifndef TOMEDITMODEL_H
#define TOMEDITMODEL_H

#include <QAbstractItemModel>

namespace Tom {
    class Tom;
    class AbstractItem;
}

class TomEditModel : public QAbstractItemModel
{
    Q_OBJECT
    public:
        TomEditModel(Tom::Tom *tom, QObject *parent);
        ~TomEditModel();

        QVariant data(const QModelIndex &index, int role) const;
        Qt::ItemFlags flags(const QModelIndex &index) const;
        QModelIndex index(int row, int column, const QModelIndex &parent = QModelIndex()) const;
        QModelIndex parent(const QModelIndex &index) const;
        int rowCount(const QModelIndex &parent = QModelIndex()) const;
        int columnCount(const QModelIndex &parent = QModelIndex()) const;

        Tom::AbstractItem * itemForModelIndex(const QModelIndex &index);

    private:
        Tom::Tom * m_tom;
};

#endif 
